SequentialWriter.TransactionalProxy (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.util

## Class SequentialWriter.TransactionalProxy

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional
  - - org.apache.cassandra.io.util.SequentialWriter.TransactionalProxy

- All Implemented Interfaces:
    java.lang.AutoCloseable, Transactional
  Direct Known Subclasses:
    ChecksummedSequentialWriter.TransactionalProxy, CompressedSequentialWriter.TransactionalProxy
  Enclosing class:
    SequentialWriter

      protected class SequentialWriter.TransactionalProxy
      extends Transactional.AbstractTransactional

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

      `Transactional.AbstractTransactional.State`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

      `Transactional.AbstractTransactional`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransactionalProxy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Throwable` | `doAbort(java.lang.Throwable accumulate)`
    `protected java.lang.Throwable` | `doCommit(java.lang.Throwable accumulate)`
    `protected java.lang.Throwable` | `doPreCleanup(java.lang.Throwable accumulate)` perform an exception-safe pre-abort cleanup; this will still be run *after* commit
    `protected void` | `doPrepare()` Do any preparatory work prior to commit.

    - ### Methods inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

      `abort, abort, close, commit, commit, doPostCleanup, finish, permitRedundantTransitions, prepareToCommit, state`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalProxy

          protected TransactionalProxy()

  - ### Method Detail

    - #### doPreCleanup

          protected java.lang.Throwable doPreCleanup(java.lang.Throwable accumulate)

      Description copied from class: `Transactional.AbstractTransactional`
      perform an exception-safe pre-abort cleanup; this will still be run *after* commit
      Overrides:
        `doPreCleanup` in class `Transactional.AbstractTransactional`

    - #### doPrepare

          protected void doPrepare()

      Description copied from class: `Transactional.AbstractTransactional`
      Do any preparatory work prior to commit. This method should throw any exceptions that can be encountered during the finalization of the behaviour.
      Specified by:
        `doPrepare` in class `Transactional.AbstractTransactional`

    - #### doCommit

          protected java.lang.Throwable doCommit(java.lang.Throwable accumulate)

      Specified by:
        `doCommit` in class `Transactional.AbstractTransactional`

    - #### doAbort

          protected java.lang.Throwable doAbort(java.lang.Throwable accumulate)

      Specified by:
        `doAbort` in class `Transactional.AbstractTransactional`

Copyright © 2018 The Apache Software Foundation